#include <iostream>
#include <vector>
using namespace std;

int main() {
    int broj_stalaktita, visina_perice;
    
    cin>>broj_stalaktita>>visina_perice;

    vector<int> visine(broj_stalaktita);
    for (int i = 0; i < broj_stalaktita; i++) 
        cin>>visine[i];

    for (int i = 0; i < broj_stalaktita; i++) 
	{
        if (visine[i] <= visina_perice) 
		{
            cout<<(i + 1); 
            return 0;
        }
    }
    
	cout<<-1;
    return 0;
}